package internal_test

import (
	"fmt"
	"testing"

	"git.t-juice.club/torjus/peckertest/internal"
)

func TestAdd(t *testing.T) {
	var tc = []struct {
		A        int
		B        int
		Expected int
	}{
		{A: 1, B: 0, Expected: 1},
		{A: 1, B: 1, Expected: 2},
		{A: 1, B: -1, Expected: 0},
	}

	for _, test := range tc {
		name := fmt.Sprintf("%d+%d", test.A, test.B)
		t.Run(name, func(t *testing.T) {
			result := internal.Add(test.A, test.B)
			if result != test.Expected {
				t.Errorf("Got %d, expected %d", result, test.Expected)
			}
		})
	}
}
func TestSub(t *testing.T) {
	var tc = []struct {
		A        int
		B        int
		Expected int
	}{
		{A: 1, B: 0, Expected: 1},
		{A: 1, B: 1, Expected: 0},
		{A: 0, B: 5, Expected: -5},
	}

	for _, test := range tc {
		name := fmt.Sprintf("%d-%d", test.A, test.B)
		t.Run(name, func(t *testing.T) {
			result := internal.Sub(test.A, test.B)
			if result != test.Expected {
				t.Errorf("Got %d, expected %d", result, test.Expected)
			}
		})
	}
}
